> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Stop a workspace



## OpenAPI

````yaml api-reference/openapi.json POST /workspaces/{workspaceID}/stop
openapi: 3.1.0
info:
  title: Aether API
  version: 0.1.0
servers:
  - url: https://api.runaether.dev
security:
  - bearerAuth: []
paths:
  /workspaces/{workspaceID}/stop:
    post:
      tags:
        - workspaces
      summary: Stop a workspace
      operationId: stopWorkspace
      parameters:
        - in: path
          name: workspaceID
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '202':
          content:
            application/json:
              schema:
                additionalProperties: false
                properties:
                  display_state:
                    enum:
                      - deleted
                      - idle
                      - starting
                      - stopping
                      - suspending
                      - ready
                      - preparing
                      - error
                      - stopped
                      - suspended
                    type: string
                  operation:
                    $ref: '#/components/schemas/WorkspaceOperationSummary'
                required:
                  - display_state
                type: object
          description: Accepted
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspacesErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspacesErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/OrgAuthorizationErrorResponse'
                  - $ref: '#/components/schemas/ControlForbiddenErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspacesErrorResponse'
          description: Not Found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspacesErrorResponse'
          description: Conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspacesErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspacesErrorResponse'
          description: Internal Server Error
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspacesErrorResponse'
          description: Service Unavailable
components:
  schemas:
    WorkspaceOperationSummary:
      additionalProperties: false
      properties:
        completed_at:
          minLength: 1
          type: string
        created_at:
          minLength: 1
          type: string
        error_message:
          minLength: 1
          type: string
        id:
          format: uuid
          type: string
        status:
          enum:
            - queued
            - running
            - reconciling
            - succeeded
            - failed
            - cancelled
          type: string
        type:
          enum:
            - start
            - suspend
            - stop
            - recover
          type: string
        updated_at:
          minLength: 1
          type: string
      required:
        - id
        - type
        - status
        - created_at
        - updated_at
      type: object
    WorkspacesErrorResponse:
      additionalProperties: false
      properties:
        code:
          enum:
            - account_deleting
            - bad_gateway
            - bad_request
            - conflict
            - control_forbidden
            - forbidden
            - gateway_timeout
            - gone
            - internal_error
            - method_not_allowed
            - not_acceptable
            - not_found
            - not_implemented
            - org_role_insufficient
            - org_suspended
            - payment_required
            - precondition_failed
            - preview_auth_command_failed
            - preview_auth_invalid_output
            - preview_auth_not_auto
            - preview_auth_not_declared
            - preview_auth_output_too_large
            - preview_auth_rate_limited
            - preview_auth_timeout
            - preview_auth_workspace_upgrade_required
            - rate_limited
            - request_canceled
            - request_timeout
            - request_too_large
            - service_unavailable
            - task_creator_deleted
            - unauthenticated
            - unsupported_media_type
            - validation_failed
            - workspace_not_running
            - workspace_preview_auth_service_not_ready
          minLength: 1
          type: string
        error:
          minLength: 1
          type: string
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
      required:
        - error
        - code
      type: object
    OrgAuthorizationErrorResponse:
      additionalProperties: false
      properties:
        code:
          enum:
            - org_membership_required
            - org_role_insufficient
            - org_suspended
            - account_deleting
            - agent_host_route_not_allowed
            - credential_kind_not_admitted
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
        - code
      type: object
    ControlForbiddenErrorResponse:
      additionalProperties: false
      properties:
        code:
          enum:
            - control_forbidden
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
        - code
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.